Credentials

List credentials

Use this endpoint to list credentials.

Use this endpoint to list credentials.

GET
/v1/credentials

Authorization

BearerAuth
AuthorizationBearer <token>

Provide your access token in the Authorization header with Bearer auth-scheme. You can view and manage your access tokens in the Certifier Dashboard.

In: header

Query Parameters

cursor?string

Cursor for pagination

limit?integer

Number of items to return (default: 20)

Header Parameters

Certifier-Version*string

API version header. Required for all requests.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.certifier.io/v1/credentials" \  -H "Certifier-Version: 2022-10-26"
{
  "data": [
    {
      "id": "01hz2f0c9ryvzajg20jqh9taab",
      "publicId": "124a8110-1af5-4747-9308-e9d06bd1852a",
      "groupId": "01g90279gp5sbmfek7wymcsvec",
      "status": "draft",
      "recipient": {
        "id": "01jmerb62apgachxwx6db76c7s",
        "name": "John Doe",
        "email": "john.doe@example.com"
      },
      "issueDate": "2022-01-01",
      "expiryDate": "2023-01-01",
      "attributes": {
        "recipient.name": "John Doe"
      },
      "customAttributes": {
        "custom.mentor": "Jane Doe"
      },
      "createdAt": "2022-01-01T00:00:00.000Z",
      "updatedAt": "2022-01-01T00:00:00.000Z"
    }
  ],
  "pagination": {
    "prev": null,
    "next": null
  }
}

{
  "error": {
    "code": "missing_version",
    "message": "The request is missing the required Certifier-Version header"
  }
}

{
  "error": {
    "code": "unauthorized",
    "message": "A valid authentication token was not provided with the request"
  }
}
{
  "error": {
    "code": "rate_limited",
    "message": "You have exceeded the rate limit"
  }
}
{
  "error": {
    "code": "internal_server_error",
    "message": "There was a problem on Certifier's end"
  }
}